org.crosswire.common.xml

## Class XMLHandlerAdapter

- java.lang.Object
- - org.crosswire.common.xml.XMLHandlerAdapter

- All Implemented Interfaces:
    ContentHandler, DTDHandler, EntityResolver, ErrorHandler, DeclHandler, LexicalHandler

      public class XMLHandlerAdapter
      extends Object
      implements EntityResolver, DTDHandler, ContentHandler, ErrorHandler, DeclHandler, LexicalHandler

  Checks a XML document for problems, reporting line and offset.
  Author:
    DM Smith
  See Also:
    `The GNU Lesser General Public License for details.`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLHandlerAdapter()` Default constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `attributeDecl(String elementName, String attributeName, String type, String valueDefault, String value)`
    `void` | `characters(char[] ch, int offset, int length)`
    `void` | `comment(char[] ch, int offset, int length)`
    `void` | `elementDecl(String name, String contentModel)`
    `void` | `endCDATA()`
    `void` | `endDocument()`
    `void` | `endDTD()`
    `void` | `endElement(String uri, String localName, String qname)`
    `void` | `endEntity(String name)`
    `void` | `endPrefixMapping(String prefix)`
    `void` | `error(SAXParseException ex)`
    `void` | `externalEntityDecl(String name, String publicId, String systemId)`
    `void` | `fatalError(SAXParseException ex)`
    `void` | `ignorableWhitespace(char[] ch, int offset, int length)`
    `void` | `internalEntityDecl(String name, String text)`
    `void` | `notationDecl(String name, String publicId, String systemId)`
    `private void` | `printError(String type, SAXParseException ex)` Prints the error message.
    `void` | `processingInstruction(String target, String data)`
    `InputSource` | `resolveEntity(String publicId, String systemId)`
    `void` | `setDocumentLocator(Locator locator)`
    `void` | `skippedEntity(String name)`
    `void` | `startCDATA()`
    `void` | `startDocument()`
    `void` | `startDTD(String name, String publicId, String systemId)`
    `void` | `startElement(String uri, String localName, String qname, Attributes attributes)`
    `void` | `startEntity(String name)`
    `void` | `startPrefixMapping(String prefix, String uri)`
    `void` | `unparsedEntityDecl(String name, String publicId, String systemId, String notationName)`
    `void` | `warning(SAXParseException ex)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLHandlerAdapter

          public XMLHandlerAdapter()

      Default constructor.

  - ### Method Detail

    - #### setDocumentLocator

          public void setDocumentLocator(Locator locator)

      Specified by:
        `setDocumentLocator` in interface `ContentHandler`

    - #### startDocument

          public void startDocument()
                             throws SAXException

      Specified by:
        `startDocument` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### processingInstruction

          public void processingInstruction(String target,
                                   String data)
                                     throws SAXException

      Specified by:
        `processingInstruction` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### characters

          public void characters(char[] ch,
                        int offset,
                        int length)
                          throws SAXException

      Specified by:
        `characters` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### ignorableWhitespace

          public void ignorableWhitespace(char[] ch,
                                 int offset,
                                 int length)
                                   throws SAXException

      Specified by:
        `ignorableWhitespace` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### endDocument

          public void endDocument()
                           throws SAXException

      Specified by:
        `endDocument` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### startPrefixMapping

          public void startPrefixMapping(String prefix,
                                String uri)
                                  throws SAXException

      Specified by:
        `startPrefixMapping` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### startElement

          public void startElement(String uri,
                          String localName,
                          String qname,
                          Attributes attributes)
                            throws SAXException

      Specified by:
        `startElement` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### endElement

          public void endElement(String uri,
                        String localName,
                        String qname)
                          throws SAXException

      Specified by:
        `endElement` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### endPrefixMapping

          public void endPrefixMapping(String prefix)
                                throws SAXException

      Specified by:
        `endPrefixMapping` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### skippedEntity

          public void skippedEntity(String name)
                             throws SAXException

      Specified by:
        `skippedEntity` in interface `ContentHandler`
      Throws:
        `SAXException`

    - #### notationDecl

          public void notationDecl(String name,
                          String publicId,
                          String systemId)
                            throws SAXException

      Specified by:
        `notationDecl` in interface `DTDHandler`
      Throws:
        `SAXException`

    - #### unparsedEntityDecl

          public void unparsedEntityDecl(String name,
                                String publicId,
                                String systemId,
                                String notationName)
                                  throws SAXException

      Specified by:
        `unparsedEntityDecl` in interface `DTDHandler`
      Throws:
        `SAXException`

    - #### startDTD

          public void startDTD(String name,
                      String publicId,
                      String systemId)
                        throws SAXException

      Specified by:
        `startDTD` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### startEntity

          public void startEntity(String name)
                           throws SAXException

      Specified by:
        `startEntity` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### startCDATA

          public void startCDATA()
                          throws SAXException

      Specified by:
        `startCDATA` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### endCDATA

          public void endCDATA()
                        throws SAXException

      Specified by:
        `endCDATA` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### comment

          public void comment(char[] ch,
                     int offset,
                     int length)
                       throws SAXException

      Specified by:
        `comment` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### endEntity

          public void endEntity(String name)
                         throws SAXException

      Specified by:
        `endEntity` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### endDTD

          public void endDTD()
                      throws SAXException

      Specified by:
        `endDTD` in interface `LexicalHandler`
      Throws:
        `SAXException`

    - #### elementDecl

          public void elementDecl(String name,
                         String contentModel)
                           throws SAXException

      Specified by:
        `elementDecl` in interface `DeclHandler`
      Throws:
        `SAXException`

    - #### attributeDecl

          public void attributeDecl(String elementName,
                           String attributeName,
                           String type,
                           String valueDefault,
                           String value)
                             throws SAXException

      Specified by:
        `attributeDecl` in interface `DeclHandler`
      Throws:
        `SAXException`

    - #### internalEntityDecl

          public void internalEntityDecl(String name,
                                String text)
                                  throws SAXException

      Specified by:
        `internalEntityDecl` in interface `DeclHandler`
      Throws:
        `SAXException`

    - #### externalEntityDecl

          public void externalEntityDecl(String name,
                                String publicId,
                                String systemId)
                                  throws SAXException

      Specified by:
        `externalEntityDecl` in interface `DeclHandler`
      Throws:
        `SAXException`

    - #### resolveEntity

          public InputSource resolveEntity(String publicId,
                                  String systemId)
                                    throws SAXException,
                                           IOException

      Specified by:
        `resolveEntity` in interface `EntityResolver`
      Throws:
        `SAXException`
        `IOException`

    - #### warning

          public void warning(SAXParseException ex)
                       throws SAXException

      Specified by:
        `warning` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### error

          public void error(SAXParseException ex)
                     throws SAXException

      Specified by:
        `error` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### fatalError

          public void fatalError(SAXParseException ex)
                          throws SAXException

      Specified by:
        `fatalError` in interface `ErrorHandler`
      Throws:
        `SAXException`

    - #### printError

          private void printError(String type,
                        SAXParseException ex)

      Prints the error message.
      Parameters:
        `type` - the type of the message
        `ex` - the exception of the error